Page MenuHomeFreeBSD

Update security/modsecurity3 to v3.0.3
ClosedPublic

Authored by marius.h_lden.org on Nov 27 2018, 3:22 PM.

Details

Summary

Updates security/modsecurity3 to version v3.0.3

We switch from using github directly to release tarballs to avoid issues when autoconf tries to get version numbers from git which is not necessarily available. This has already been correctly done for us with the release tar.

Also adds configure flags to be consistent with the build even in dirty environments where optional modules are installed (we might want to add options for these in the future, but I'm not sure how useful they are at the moment).

In addition we switch to using the install-strip target to satisfy poudriere testports desire for stripped binaries/libraries.

Test Plan

It was tested with a normal build and package which works fine in addition to a run in poudriere testport on 11.2 and 12.0-RC2 which did not have any issues either.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

marius.h_lden.org edited the summary of this revision. (Show Details)Nov 27 2018, 3:53 PM
marius.h_lden.org edited the test plan for this revision. (Show Details)

Fix typo in LICENSE_FILE variable name.

des added a reviewer: des.Nov 27 2018, 4:20 PM
des added a subscriber: des.
This revision is now accepted and ready to land.Nov 28 2018, 6:23 PM
des requested changes to this revision.Dec 12 2018, 3:37 PM
des added inline comments.
security/modsecurity3/Makefile
6

PORTREVISION should never be set to 0. Just leave it out until you actually need it.

This revision now requires changes to proceed.Dec 12 2018, 3:37 PM
mat added inline comments.Dec 12 2018, 3:47 PM
security/modsecurity3/Makefile
6

That sentence is actually not true, it is not "should never" it is "does not need to". Having it set to 0 is perfectly fine, even if not required.

des accepted this revision.Dec 12 2018, 3:53 PM

OK, I will commit as-is then.

This revision is now accepted and ready to land.Dec 12 2018, 3:53 PM
This revision was automatically updated to reflect the committed changes.